/**
 * ParticipationIndirectTarget2.java
 *
 * File generated from the medication2::ParticipationIndirectTarget2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ParticipationIndirectTarget2.
 *
 * 
 */

@XmlType(name = "ParticipationIndirectTarget")
@XmlEnum
@XmlRootElement(name = "ParticipationIndirectTarget2")
public enum ParticipationIndirectTarget2 {
	@XmlEnumValue("IND")
	IND("IND"),
	@XmlEnumValue("BEN")
	BEN("BEN"),
	@XmlEnumValue("COV")
	COV("COV"),
	@XmlEnumValue("HLD")
	HLD("HLD"),
	@XmlEnumValue("RCT")
	RCT("RCT"),
	@XmlEnumValue("RCV")
	RCV("RCV");
	
	private final String value;

    ParticipationIndirectTarget2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ParticipationIndirectTarget2 fromValue(String v) {
        for (ParticipationIndirectTarget2 c: ParticipationIndirectTarget2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
